{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "ABS_NUMERO"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ABS_ORDRE"; }; 
            name = absNumero; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_CHAPITRE"; 
            externalType = NUMBER; 
            name = cChapitre; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = COMMENTAIRE; 
            externalType = VARCHAR2; 
            name = commentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "NO_SEQ_ARRETE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = ""; }; 
            name = congeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_INDEMNITE_CGF"; 
            externalType = DATE; 
            name = dDebIndemniteCgf; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEMANDE_CGF"; 
            externalType = DATE; 
            name = dDemandeCgf; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_INDEMNITE_CGF"; 
            externalType = DATE; 
            name = dFinIndemniteCgf; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_ARRETE_CGF"; 
            externalType = DATE; 
            name = dateArrete; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_DEB_CG_FORMATION"; 
            externalType = DATE; 
            name = dateDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_CG_FORMATION"; 
            externalType = DATE; 
            name = dateFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DUREE_JJ_CGF"; 
            externalType = NUMBER; 
            name = dureeJjCgf; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "DUREE_MM_CGF"; 
            externalType = NUMBER; 
            name = dureeMmCgf; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_ARRETE_CGF"; 
            externalType = VARCHAR2; 
            name = noArrete; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "NO_DOSSIER_PERS"; 
            externalType = NUMBER; 
            name = noDossierPers; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_FORM_AGREE"; 
            externalType = VARCHAR2; 
            name = temFormAgree; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_FRACTIONNE"; 
            externalType = VARCHAR2; 
            name = temFractionne; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_VALIDE"; 
            externalType = VARCHAR2; 
            name = temValide; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        noDossierPers, 
        cChapitre, 
        noArrete, 
        dDebIndemniteCgf, 
        dureeMmCgf, 
        dureeJjCgf, 
        temFormAgree, 
        congeOrdre, 
        temFractionne, 
        absNumero, 
        commentaire, 
        temValide
    ); 
    className = "org.cocktail.mangue.modele.mangue.conges.EOCongeFormation"; 
    classProperties = (
        cChapitre, 
        dateDebut, 
        dateFin, 
        noArrete, 
        dateArrete, 
        dDebIndemniteCgf, 
        dFinIndemniteCgf, 
        dureeMmCgf, 
        dureeJjCgf, 
        dCreation, 
        dModification, 
        individu, 
        chapitre, 
        temFractionne, 
        absence, 
        commentaire, 
        temValide
    ); 
    externalName = "MANGUE.CONGE_FORMATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            dDebIndemniteCgf, 
            dFinIndemniteCgf, 
            dureeMmCgf, 
            dureeJjCgf, 
            dateDebut, 
            dateFin, 
            dateArrete, 
            noArrete, 
            individu, 
            chapitre, 
            temFractionne, 
            absence, 
            commentaire, 
            temValide
        ); 
    }; 
    name = CongeFormation; 
    primaryKeyAttributes = (congeOrdre); 
    relationships = (
        {
            destination = Absences; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = absNumero; sourceAttribute = absNumero; }); 
            name = absence; 
        }, 
        {
            destination = Chapitre; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cChapitre; sourceAttribute = cChapitre; }); 
            name = chapitre; 
        }, 
        {
            destination = IndividuUlr; 
            internalInfo = {"_nameInObjectStore" = individu; }; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = noIndividu; sourceAttribute = noDossierPers; }); 
            name = individu; 
        }
    ); 
}
